description: Validation rules for Minimum Groundtime dataset
version: 1.0.0
rules:
  iata_ap_code:
    pattern:
      regex: "^[A-Z]{3}$"
    max_length:
      threshold: 3
    non_empty_string: null
  day_of_origin:
    non_empty_string: null
  minimum_groundtime:
    greater_than_or_equal_to:
      threshold: 0
  aircraft_type:
    max_length:
      threshold: 10
  flight_carrier:
    max_length:
      threshold: 3
  flight_number:
    greater_than_or_equal_to:
      threshold: 0
  record_id:
    greater_than_or_equal_to:
      threshold: 0

